package ch.hslu.appe.usermanagement.webservice;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java element interface generated in the
 * ch.hslu.appe.usermanagement.webservice package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content.
 * The Java representation of XML content can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in
 * this class.
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _AddAddressResponse_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "addAddressResponse");
    private final static QName _GetUsersResponse_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "getUsersResponse");
    private final static QName _GetAddressesById_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "getAddressesById");
    private final static QName _AddUserResponse_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "addUserResponse");
    private final static QName _AddUser_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/", "addUser");
    private final static QName _DeleteAddress_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "deleteAddress");
    private final static QName _UpdateAddress_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "updateAddress");
    private final static QName _GetUserByLogin_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "getUserByLogin");
    private final static QName _DeleteUserResponse_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "deleteUserResponse");
    private final static QName _GetUserByLoginResponse_QNAME = new QName(
            "http://webservice.usermanagement.appe.hslu.ch/", "getUserByLoginResponse");
    private final static QName _GetAddressesByLogin_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "getAddressesByLogin");
    private final static QName _GetAddressesByLoginResponse_QNAME = new QName(
            "http://webservice.usermanagement.appe.hslu.ch/", "getAddressesByLoginResponse");
    private final static QName _GetAddress_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "getAddress");
    private final static QName _GetUserByIdResponse_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "getUserByIdResponse");
    private final static QName _GetUserById_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "getUserById");
    private final static QName _GetAddressesByIdResponse_QNAME = new QName(
            "http://webservice.usermanagement.appe.hslu.ch/", "getAddressesByIdResponse");
    private final static QName _UpdateUserResponse_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "updateUserResponse");
    private final static QName _DeleteAddressResponse_QNAME = new QName(
            "http://webservice.usermanagement.appe.hslu.ch/", "deleteAddressResponse");
    private final static QName _AddAddress_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "addAddress");
    private final static QName _DeleteUser_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "deleteUser");
    private final static QName _UpdateAddressResponse_QNAME = new QName(
            "http://webservice.usermanagement.appe.hslu.ch/", "updateAddressResponse");
    private final static QName _GetAddressResponse_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "getAddressResponse");
    private final static QName _IllegalNameException_QNAME = new QName(
            "http://webservice.usermanagement.appe.hslu.ch/", "IllegalNameException");
    private final static QName _UpdateUser_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/",
            "updateUser");
    private final static QName _GetUsers_QNAME = new QName("http://webservice.usermanagement.appe.hslu.ch/", "getUsers");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package:
     * ch.hslu.appe.usermanagement.webservice
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link AddAddress }
     */
    public AddAddress createAddAddress() {
        return new AddAddress();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddAddress }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "addAddress")
    public JAXBElement<AddAddress> createAddAddress(AddAddress value) {
        return new JAXBElement<AddAddress>(_AddAddress_QNAME, AddAddress.class, null, value);
    }

    /**
     * Create an instance of {@link AddAddressResponse }
     */
    public AddAddressResponse createAddAddressResponse() {
        return new AddAddressResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddAddressResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "addAddressResponse")
    public JAXBElement<AddAddressResponse> createAddAddressResponse(AddAddressResponse value) {
        return new JAXBElement<AddAddressResponse>(_AddAddressResponse_QNAME, AddAddressResponse.class, null, value);
    }

    /**
     * Create an instance of {@link AddressDto }
     */
    public AddressDto createAddressDto() {
        return new AddressDto();
    }

    /**
     * Create an instance of {@link AddUser }
     */
    public AddUser createAddUser() {
        return new AddUser();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddUser }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "addUser")
    public JAXBElement<AddUser> createAddUser(AddUser value) {
        return new JAXBElement<AddUser>(_AddUser_QNAME, AddUser.class, null, value);
    }

    /**
     * Create an instance of {@link AddUserResponse }
     */
    public AddUserResponse createAddUserResponse() {
        return new AddUserResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddUserResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "addUserResponse")
    public JAXBElement<AddUserResponse> createAddUserResponse(AddUserResponse value) {
        return new JAXBElement<AddUserResponse>(_AddUserResponse_QNAME, AddUserResponse.class, null, value);
    }

    /**
     * Create an instance of {@link DeleteAddress }
     */
    public DeleteAddress createDeleteAddress() {
        return new DeleteAddress();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteAddress }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "deleteAddress")
    public JAXBElement<DeleteAddress> createDeleteAddress(DeleteAddress value) {
        return new JAXBElement<DeleteAddress>(_DeleteAddress_QNAME, DeleteAddress.class, null, value);
    }

    /**
     * Create an instance of {@link DeleteAddressResponse }
     */
    public DeleteAddressResponse createDeleteAddressResponse() {
        return new DeleteAddressResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteAddressResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "deleteAddressResponse")
    public JAXBElement<DeleteAddressResponse> createDeleteAddressResponse(DeleteAddressResponse value) {
        return new JAXBElement<DeleteAddressResponse>(_DeleteAddressResponse_QNAME, DeleteAddressResponse.class, null,
                value);
    }

    /**
     * Create an instance of {@link DeleteUser }
     */
    public DeleteUser createDeleteUser() {
        return new DeleteUser();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteUser }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "deleteUser")
    public JAXBElement<DeleteUser> createDeleteUser(DeleteUser value) {
        return new JAXBElement<DeleteUser>(_DeleteUser_QNAME, DeleteUser.class, null, value);
    }

    /**
     * Create an instance of {@link DeleteUserResponse }
     */
    public DeleteUserResponse createDeleteUserResponse() {
        return new DeleteUserResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteUserResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "deleteUserResponse")
    public JAXBElement<DeleteUserResponse> createDeleteUserResponse(DeleteUserResponse value) {
        return new JAXBElement<DeleteUserResponse>(_DeleteUserResponse_QNAME, DeleteUserResponse.class, null, value);
    }

    /**
     * Create an instance of {@link GetAddress }
     */
    public GetAddress createGetAddress() {
        return new GetAddress();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAddress }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "getAddress")
    public JAXBElement<GetAddress> createGetAddress(GetAddress value) {
        return new JAXBElement<GetAddress>(_GetAddress_QNAME, GetAddress.class, null, value);
    }

    /**
     * Create an instance of {@link GetAddressesById }
     */
    public GetAddressesById createGetAddressesById() {
        return new GetAddressesById();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAddressesById }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "getAddressesById")
    public JAXBElement<GetAddressesById> createGetAddressesById(GetAddressesById value) {
        return new JAXBElement<GetAddressesById>(_GetAddressesById_QNAME, GetAddressesById.class, null, value);
    }

    /**
     * Create an instance of {@link GetAddressesByIdResponse }
     */
    public GetAddressesByIdResponse createGetAddressesByIdResponse() {
        return new GetAddressesByIdResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAddressesByIdResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "getAddressesByIdResponse")
    public JAXBElement<GetAddressesByIdResponse> createGetAddressesByIdResponse(GetAddressesByIdResponse value) {
        return new JAXBElement<GetAddressesByIdResponse>(_GetAddressesByIdResponse_QNAME,
                GetAddressesByIdResponse.class, null, value);
    }

    /**
     * Create an instance of {@link GetAddressesByLogin }
     */
    public GetAddressesByLogin createGetAddressesByLogin() {
        return new GetAddressesByLogin();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAddressesByLogin }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "getAddressesByLogin")
    public JAXBElement<GetAddressesByLogin> createGetAddressesByLogin(GetAddressesByLogin value) {
        return new JAXBElement<GetAddressesByLogin>(_GetAddressesByLogin_QNAME, GetAddressesByLogin.class, null, value);
    }

    /**
     * Create an instance of {@link GetAddressesByLoginResponse }
     */
    public GetAddressesByLoginResponse createGetAddressesByLoginResponse() {
        return new GetAddressesByLoginResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAddressesByLoginResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "getAddressesByLoginResponse")
    public JAXBElement<GetAddressesByLoginResponse> createGetAddressesByLoginResponse(GetAddressesByLoginResponse value) {
        return new JAXBElement<GetAddressesByLoginResponse>(_GetAddressesByLoginResponse_QNAME,
                GetAddressesByLoginResponse.class, null, value);
    }

    /**
     * Create an instance of {@link GetAddressResponse }
     */
    public GetAddressResponse createGetAddressResponse() {
        return new GetAddressResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAddressResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "getAddressResponse")
    public JAXBElement<GetAddressResponse> createGetAddressResponse(GetAddressResponse value) {
        return new JAXBElement<GetAddressResponse>(_GetAddressResponse_QNAME, GetAddressResponse.class, null, value);
    }

    /**
     * Create an instance of {@link GetUserById }
     */
    public GetUserById createGetUserById() {
        return new GetUserById();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetUserById }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "getUserById")
    public JAXBElement<GetUserById> createGetUserById(GetUserById value) {
        return new JAXBElement<GetUserById>(_GetUserById_QNAME, GetUserById.class, null, value);
    }

    /**
     * Create an instance of {@link GetUserByIdResponse }
     */
    public GetUserByIdResponse createGetUserByIdResponse() {
        return new GetUserByIdResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetUserByIdResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "getUserByIdResponse")
    public JAXBElement<GetUserByIdResponse> createGetUserByIdResponse(GetUserByIdResponse value) {
        return new JAXBElement<GetUserByIdResponse>(_GetUserByIdResponse_QNAME, GetUserByIdResponse.class, null, value);
    }

    /**
     * Create an instance of {@link GetUserByLogin }
     */
    public GetUserByLogin createGetUserByLogin() {
        return new GetUserByLogin();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetUserByLogin }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "getUserByLogin")
    public JAXBElement<GetUserByLogin> createGetUserByLogin(GetUserByLogin value) {
        return new JAXBElement<GetUserByLogin>(_GetUserByLogin_QNAME, GetUserByLogin.class, null, value);
    }

    /**
     * Create an instance of {@link GetUserByLoginResponse }
     */
    public GetUserByLoginResponse createGetUserByLoginResponse() {
        return new GetUserByLoginResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetUserByLoginResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "getUserByLoginResponse")
    public JAXBElement<GetUserByLoginResponse> createGetUserByLoginResponse(GetUserByLoginResponse value) {
        return new JAXBElement<GetUserByLoginResponse>(_GetUserByLoginResponse_QNAME, GetUserByLoginResponse.class,
                null, value);
    }

    /**
     * Create an instance of {@link GetUsers }
     */
    public GetUsers createGetUsers() {
        return new GetUsers();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetUsers }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "getUsers")
    public JAXBElement<GetUsers> createGetUsers(GetUsers value) {
        return new JAXBElement<GetUsers>(_GetUsers_QNAME, GetUsers.class, null, value);
    }

    /**
     * Create an instance of {@link GetUsersResponse }
     */
    public GetUsersResponse createGetUsersResponse() {
        return new GetUsersResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetUsersResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "getUsersResponse")
    public JAXBElement<GetUsersResponse> createGetUsersResponse(GetUsersResponse value) {
        return new JAXBElement<GetUsersResponse>(_GetUsersResponse_QNAME, GetUsersResponse.class, null, value);
    }

    /**
     * Create an instance of {@link IllegalNameException }
     */
    public IllegalNameException createIllegalNameException() {
        return new IllegalNameException();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IllegalNameException }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "IllegalNameException")
    public JAXBElement<IllegalNameException> createIllegalNameException(IllegalNameException value) {
        return new JAXBElement<IllegalNameException>(_IllegalNameException_QNAME, IllegalNameException.class, null,
                value);
    }

    /**
     * Create an instance of {@link UpdateAddress }
     */
    public UpdateAddress createUpdateAddress() {
        return new UpdateAddress();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateAddress }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "updateAddress")
    public JAXBElement<UpdateAddress> createUpdateAddress(UpdateAddress value) {
        return new JAXBElement<UpdateAddress>(_UpdateAddress_QNAME, UpdateAddress.class, null, value);
    }

    /**
     * Create an instance of {@link UpdateAddressResponse }
     */
    public UpdateAddressResponse createUpdateAddressResponse() {
        return new UpdateAddressResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateAddressResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "updateAddressResponse")
    public JAXBElement<UpdateAddressResponse> createUpdateAddressResponse(UpdateAddressResponse value) {
        return new JAXBElement<UpdateAddressResponse>(_UpdateAddressResponse_QNAME, UpdateAddressResponse.class, null,
                value);
    }

    /**
     * Create an instance of {@link UpdateUser }
     */
    public UpdateUser createUpdateUser() {
        return new UpdateUser();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateUser }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "updateUser")
    public JAXBElement<UpdateUser> createUpdateUser(UpdateUser value) {
        return new JAXBElement<UpdateUser>(_UpdateUser_QNAME, UpdateUser.class, null, value);
    }

    /**
     * Create an instance of {@link UpdateUserResponse }
     */
    public UpdateUserResponse createUpdateUserResponse() {
        return new UpdateUserResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UpdateUserResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://webservice.usermanagement.appe.hslu.ch/", name = "updateUserResponse")
    public JAXBElement<UpdateUserResponse> createUpdateUserResponse(UpdateUserResponse value) {
        return new JAXBElement<UpdateUserResponse>(_UpdateUserResponse_QNAME, UpdateUserResponse.class, null, value);
    }

    /**
     * Create an instance of {@link UserDto }
     */
    public UserDto createUserDto() {
        return new UserDto();
    }

}
