package ch.hslu.appe.usermanagement.webservice;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for userDto complex type.
 * <p>
 * The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="userDto">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="addresses" type="{http://webservice.usermanagement.appe.hslu.ch/}addressDto" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="login" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="password" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="prename" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="role" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="salutation" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="state" type="{http://webservice.usermanagement.appe.hslu.ch/}userState"/>
 *         &lt;element name="surname" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "userDto", propOrder = { "addresses", "id", "login", "password", "prename", "role", "salutation",
        "state", "surname" })
public class UserDto {

    @XmlElement(nillable = true)
    protected List<AddressDto> addresses;
    protected int id;
    @XmlElement(required = true)
    protected String login;
    @XmlElement(required = true)
    protected String password;
    @XmlElement(required = true)
    protected String prename;
    @XmlElement(required = true)
    protected String role;
    @XmlElement(required = true)
    protected String salutation;
    @XmlElement(required = true)
    protected UserState state;
    @XmlElement(required = true)
    protected String surname;

    /**
     * Gets the value of the addresses property.
     * <p>
     * This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to
     * the returned list will be present inside the JAXB object. This is why there is not a <CODE>set</CODE> method for
     * the addresses property.
     * <p>
     * For example, to add a new item, do as follows:
     * 
     * <pre>
     * getAddresses().add(newItem);
     * </pre>
     * <p>
     * Objects of the following type(s) are allowed in the list {@link AddressDto }
     */
    public List<AddressDto> getAddresses() {
        if (addresses == null) {
            addresses = new ArrayList<AddressDto>();
        }
        return this.addresses;
    }

    /**
     * Gets the value of the id property.
     */
    public int getId() {
        return id;
    }

    /**
     * Gets the value of the login property.
     * @return possible object is {@link String }
     */
    public String getLogin() {
        return login;
    }

    /**
     * Gets the value of the password property.
     * @return possible object is {@link String }
     */
    public String getPassword() {
        return password;
    }

    /**
     * Gets the value of the prename property.
     * @return possible object is {@link String }
     */
    public String getPrename() {
        return prename;
    }

    /**
     * Gets the value of the role property.
     * @return possible object is {@link String }
     */
    public String getRole() {
        return role;
    }

    /**
     * Gets the value of the salutation property.
     * @return possible object is {@link String }
     */
    public String getSalutation() {
        return salutation;
    }

    /**
     * Gets the value of the state property.
     * @return possible object is {@link UserState }
     */
    public UserState getState() {
        return state;
    }

    /**
     * Gets the value of the surname property.
     * @return possible object is {@link String }
     */
    public String getSurname() {
        return surname;
    }

    /**
     * Sets the value of the id property.
     */
    public void setId(int value) {
        this.id = value;
    }

    /**
     * Sets the value of the login property.
     * @param value allowed object is {@link String }
     */
    public void setLogin(String value) {
        this.login = value;
    }

    /**
     * Sets the value of the password property.
     * @param value allowed object is {@link String }
     */
    public void setPassword(String value) {
        this.password = value;
    }

    /**
     * Sets the value of the prename property.
     * @param value allowed object is {@link String }
     */
    public void setPrename(String value) {
        this.prename = value;
    }

    /**
     * Sets the value of the role property.
     * @param value allowed object is {@link String }
     */
    public void setRole(String value) {
        this.role = value;
    }

    /**
     * Sets the value of the salutation property.
     * @param value allowed object is {@link String }
     */
    public void setSalutation(String value) {
        this.salutation = value;
    }

    /**
     * Sets the value of the state property.
     * @param value allowed object is {@link UserState }
     */
    public void setState(UserState value) {
        this.state = value;
    }

    /**
     * Sets the value of the surname property.
     * @param value allowed object is {@link String }
     */
    public void setSurname(String value) {
        this.surname = value;
    }

}
